(1973-2010) Grant, a member of the faculty at Northwestern University, died September 20 at the age of 36. She received her PhD from the University of Maryland College Park in 2005 and joined the faculty at Northwestern that same year. Read more about Grant, including remembrances from those who knew her.